Skip to content

# Interface: KubeObjectDetailRegistration

## Hierarchy

- KubeObjectDetailRegistration

## Index

### Properties

- apiVersions
- components
- kind
- priority

## Properties

### apiVersions

• apiVersions: string[]

Defined in src/extensions/registries/kube-object-detail-registry.ts:10

### components

• components: KubeObjectDetailComponents

Defined in src/extensions/registries/kube-object-detail-registry.ts:11

### kind

• kind: string

Defined in src/extensions/registries/kube-object-detail-registry.ts:9

### `Optional` priority

• priority? : number

Defined in src/extensions/registries/kube-object-detail-registry.ts:12